# Retrieving Assets Assets (V1) API allows a user with `View Install Base` permission to search for installed assets based on a given criteria, and to fetch specific asset details. ## Prerequisites[​](#prerequisites "Direct link to Prerequisites") Authenticate - Submit your user credentials, Client ID, and Client Secret for OAuth2 authentication. Refer to [API Authentication](https://docs.equinix.com/equinix-api/api-authentication.md) for instructions on how to call the OAuth API to validate and authenticate your credentials. ## Searching for Asset and Asset Data[​](#searching-for-asset-and-asset-data "Direct link to Searching for Asset and Asset Data") To search for asset information, send a `POST` request to the [`/assets/search`](https://docs.equinix.com/api-catalog/assetsv1/assets/searchassets.md) endpoint. Specify your search criteria in the body of the request. Optionally specify the search behavior in the query parameters. ![Two steps to retrieve asset information](https://docs.equinix.com/assets/images/RetrieveAssets-fd524b8af1185d6cf2410420cc0f3e04.png) | `POST /v1/assets/search`[View the API Reference](https://docs.equinix.com/api-catalog/assetsv1.md#tag/Assets/operation/Search%20permissible%20assets) | | | ----------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ | | | | | Method | `POST` | | URL or End Point | `/v1/assets/search` | | Headers | Not applicable | | Query Parameters | `sorts, source, q, exactMatch` | | Body Parameters | Not applicable | Sample cURL Request: This request indicates that a search for patch panels in IBX location, DA1; in the cage, DA1:01:009800; and installed within the dates `2003/07/17` to `2019/07/17` was done. The search results were sorted by ascending serial number, filtered for patch panels that only had asset numbers including `101`, selected to start from index `0`, and limited to 100 results per page. ``` curl -X POST "https://api.equinix.com/v1/assets/search?sorts=SERIAL_NUMBER&source=ASSET_NUMBER&q=101&exactMatch=false&offset=0&limit=100" -H "content-type: application/json" -H "authorization: Bearer " -d '{     "filter": {         "ibxs": [             "DA1"         ],         "cages": [             "DA1:01:009800"         ],         "productTypes": [             "PATCH_PANEL"         ],         "dateRange": {             "fromDate": "2003-07-17T03:31:20.455Z",             "toDate": "2019-07-17T03:31:20.455Z"         }     } ``` Sample Response: ``` {     "data": [       {         "assetNumber": "10139297",         "serialNumber": "PP:0210:73281",         "orderNumber": 1-126273059,         "productName": "PATCH_PANEL",         "ibx": "DA1",         "cage": "DA1:01:009800",         "productDescription": "Patch Panel",         "accountNumber": "987",         "relatedAccountNumber": null,         "accountName": "JOHN-DOE-CORP",         "installationDate": "2009-05-14T00:00:00Z",         "customerReferenceNumber": DAY-98278,         "billingAgreementNumber": CAB-93678,         "status": "ACTIVE",         "additionalDetails": {             "cabinetNumber": "DA1:01:009800:0210",             "customerOrCarrierCircuitID": null,             "finalzSideSystemName": null,             "productBundle": null,             "patchPanelNumber": "PP:0210:73281"       }     },     {         "assetNumber": "10147789",         "serialNumber": "VP:0101:74679",         "orderNumber": null,         "productName": "PATCH_PANEL",         "ibx": "DA1",         "cage": "DA1:R1:V000170-1-294",         "productDescription": "Patch Panel",         "accountNumber": "987",         "relatedAccountNumber": null,         "accountName": "JOHN-DOE-CORP",         "installationDate": "2009-07-09T00:00:00Z",         "customerReferenceNumber": null,         "billingAgreementNumber": null,         "status": "ACTIVE",         "additionalDetails": {             "cabinetNumber": "DA1:R1:V000170-1-294:V1801",             "customerOrCarrierCircuitID": null,             "finalzSideSystemName": null,             "productBundle": null,             "patchPanelNumber": "VP:0101:74679"         }       }     ],     "page": {         "limit": 100,         "offset": 0,         "total": 2,         "sorts": [         "SERIAL_NUMBER"        ]     },     "_links": {         "next": {            "href": "/assets/search?q=101&exactMatch=false&offset=0&limit=100&source=ASSET_NUMBER&sorts=SERIAL_NUMBER"         },         "previous": {            "href": "/assets/search?q=101&exactMatch=false&offset=0&limit=100&source=ASSET_NUMBER&sorts=SERIAL_NUMBER"         },         "self": {            "href": "/assets/search?q=101&exactMatch=false&offset=0&limit=100&source=ASSET_NUMBER&sorts=SERIAL_NUMBER"         }     } } ``` For a full list of response parameters, see the [API Reference](https://docs.equinix.com/api-catalog/assetsv1.md). ## Get Assets[​](#get-assets "Direct link to Get Assets") To get all details for a specific asset, send a `GET` request to the [`/assets/{assetId}`](https://docs.equinix.com/api-catalog/assetsv1/assets/getassetbyid.md) endpoint. Specify the asset by ID in the path of the request. ``` curl -X GET "https://api.equinix.com/v1/assets/{asset_id}" -H "content-type: application/json" -H "authorization: Bearer " ``` Sample Response: ``` {     "assetNumber": "9980813",     "serialNumber": "1011585-M",     "orderNumber": "1-198255055853",     "productName": "CROSS_CONNECT",     "ibx": "DC4",     "cage": "DC4:01:043325",     "productDescription": "Network Cable Connection",     "accountNumber": "888",     "accountName": "JOHN-DOE-CORPORATION",     "installationDate": "2008-08-28T00:00:00Z",     "customerReferenceNumber": "",     "status": "Active",     "productDetails": [         {             "key": "ACCOUNT_NAME",             "value": "JOHN-DOE-CORPORATION",             "tag": "HEADER"         },         {             "key": "CUSTOMER",             "value": "JOHN-DOE-CORPORATION",             "tag": "A_SIDE_INFORMATION"         },         {             "key": "ASSET_NUMBER",             "value": "9980813",             "tag": "OTHER_DETAILS"         },         {             "key": "IFC_PANEL",             "value": "No",             "tag": "Z_SIDE_INFORMATION"         }     ] } ``` For a full list of response parameters, see the [API Reference](https://docs.equinix.com/api-catalog/assetsv1.md).